# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiShuffleTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()

        self.addControl('color', label='颜色')
        self.addControl('alpha')
        
        self.beginLayout('通道', collapse=False)
        self.addControl('channelR', label='红')
        self.addControl('channelG', label='绿')
        self.addControl('channelB', label='蓝')
        self.addControl('channelA', label='Alpha')
        self.endLayout()

        self.beginLayout('不使用', collapse=False)
        self.addControl('negateR', label='红')
        self.addControl('negateG', label='绿')
        self.addControl('negateB', label='蓝')
        self.addControl('negateA', label='Alpha')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
